gnutls_x509_trust_list_add_crls(3)

NAME
gnutls_x509_trust_list_add_crls - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_crls(gnutls_x509_trust_list_t list, const gnutls_x509_crl_t * crl_list, int crl_size, unsigned int flags, unsigned int verification_flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

const gnutls_x509_crl_t * crl_list
    A list of CRLs

int crl_size
    The length of the CRL list

unsigned int flags
    if GNUTLS_TL_VERIFY_CRL is given the CRLs will be verified before being added.

unsigned int verification_flags
    gnutls_certificate_verify_flags if flags specifies GNUTLS_TL_VERIFY_CRL

DESCRIPTION
This function will add the given certificate revocation lists to the trusted list. The list of CRLs must not be deinitialized during this structure's lifetime. This function must be called after gnutls_x509_trust_list_add_cas() to allow verifying the CRLs for validity.

RETURNS
The number of added elements is returned.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/